<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
<head>
    <title layout:title-pattern="$LAYOUT_TITLE - $CONTENT_TITLE">Panda Shop</title>
    <!-- common resources -->
    <link th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet"/>
    <link th:href="@{/vendor/font-awesome/css/all.css}" rel="stylesheet"/>
    <!--bootstrap theme-->
    <link th:href="@{/css/modern-business.css}" rel="stylesheet"/>
    <link th:href="@{/css/styles.css}" rel="stylesheet"/>

    <!--jQuery-->
    <script defer th:src="@{/vendor/jquery/jquery.min.js}" type="text/javascript"></script>
    <!--Bootstrap Core JavaScript-->
    <script defer th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}" type="text/javascript"></script>

    <!--noUiSlider-->
    <script defer th:src="@{/vendor/no-ui-slider/nouislider.min.js}" type="text/javascript"></script>
    <link th:href="@{/vendor/no-ui-slider/nouislider.min.css}" rel="stylesheet"/>

    <script defer th:src="@{/js/script.js}" type="text/javascript"></script>

    <!--TODO move to a separate js file-->
    <script defer>
        document.addEventListener("DOMContentLoaded", () => {
            let menu = document.querySelectorAll('.dropdown-checkbox-menu');
            menu.forEach(elem => elem.addEventListener("click", e => {
                e.stopPropagation();
            }))
        })
    </script>
</head>
<body>
<!--Navigation-->
<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <!--brand-->
    <a class="navbar-brand d-flex align-items-center"
       th:href="@{/}">
        <div class="brand-icon-container align-top mr-2">
            <img th:src="@{/images/panda.png}"
                 class="d-inline-block align-top"
                 alt="brand_icon">
        </div>
        <span>Panda Shop</span>
    </a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <!--search field-->
        <form class="form-inline my-2 my-lg-0 ml-md-2 mr-md-4" id="navbar-search-form"
              th:action="@{/search}">
            <input class="form-control mr-sm-2" type="search" name="q"
                   placeholder="Search" aria-label="Search" required>

            <div class="btn-group my-2 my-sm-0">
                <button type="submit" class="btn btn-outline-success">Search</button>
                <button type="button" class="btn btn-outline-success dropdown-toggle dropdown-toggle-split"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="sr-only">Toggle Search Dropdown</span>
                </button>
                <div class="dropdown-menu dropdown-menu-right dropdown-checkbox-menu">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">Search in:</li>
                        <!--/*@thymesVar id="searchByStringParams" type="com.example.internetshop.models.ProductSearchByStringParams"*/-->
                        <li th:replace="fragments/dropdown_check_item
                        :: dropdownCheckItem
                        ('search-name', 'searchInName', 'Name', ${searchByStringParams.searchInName})">
                        </li>
                        <li th:replace="fragments/dropdown_check_item
                        :: dropdownCheckItem
                        ('search-brand', 'searchInBrand', 'Brand', ${searchByStringParams.searchInBrand})">
                        </li>
                        <li th:replace="fragments/dropdown_check_item
                        :: dropdownCheckItem
                        ('search-category', 'searchInCategory', 'Category', ${searchByStringParams.searchInCategory})">
                        </li>
                    </ul>
                </div>
            </div>
        </form>

        <!--/*@thymesVar id="auth" type="com.example.internetshop.models.AuthInfo"*/-->
        <ul class="navbar-nav ml-auto align-items-md-center">
            <!--shopping cart-->
            <li th:if="${auth.isAuthenticated}"
                class="nav-item">
                <a th:href="@{/cart}" class="fa-2x mx-3 text-light" title="Shopping Cart">
                    <i class="fas fa-shopping-cart"></i>
                </a>
            </li>
            <!--log-in/user profile-->
            <li th:unless="${auth.isAuthenticated}"
                class="nav-item">
                <a th:href="@{/login}" class="btn btn-primary">Log In</a>
            </li>
            <li th:if="${auth.isAuthenticated}"
                class="nav-item dropdown user-profile-menu-item">
                <a class="nav-link dropdown-toggle d-flex align-items-center"
                   href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">
                    <div class="profile-pic-container mr-1">
                        <img th:src="@{/images/panda.png}"
                             class="d-inline-block align-top profile-pic"
                             alt="profile_pic">
                    </div>
                    <span class="text-info" th:text="${auth.username}">Username</span>
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#" th:href="@{/profile}">Profile</a>
                    <a class="dropdown-item" href="#" th:href="@{/orders}">Orders</a>
                    <a class="dropdown-item" th:if="${auth.isAdmin}" href="#" th:href="@{/admin}">Admin Panel</a>
                    <a class="dropdown-item" href="#" th:href="@{/logout}">Log Out</a>
                </div>
            </li>
        </ul>
    </div>
</nav>
<!-- Spacer to account for fixed navbar -->
<div class="mt-5"></div>


<!-- Page Content -->
<div class="flex-grow-1">
    <div layout:fragment="content">
        PAGE CONTENT
    </div>
</div>


<!--Footer-->
<footer class="py-5 bg-dark mt-5">
    <div class="container mt-4">
        <p class="m-0 text-center text-white">&copy;&nbsp;Panda-Shop, 2021</p>
    </div>
</footer>

</body>
</html>